package intrinsic.mx.messaging;

public class MessageAgent extends intrinsic.flash.events.EventDispatcher implements intrinsic.mx.core.IMXMLObject {

	/** Accessors */
	public boolean needsConfig;
	public int channelSetMode;
	public boolean connected;
	public String destination;
	public int requestTimeout;
	public boolean authenticated;
	public String id;
	public intrinsic.mx.messaging.ChannelSet channelSet;
	public String clientId;

	/** Variables */
	public boolean configRequested;

	/** Constants */
	public static final int AUTO_CONFIGURED_CHANNELSET = 0;
	public static final int MANUALLY_ASSIGNED_CHANNELSET = 0;

	/** Class Accessors */

	/** Class variables */

/** Contructors */
public MessageAgent() {
}


/** Static Methods */

/** Methods */
public native void setCredentials(String arg0, String arg1);
public native void channelDisconnectHandler(intrinsic.mx.messaging.events.ChannelEvent arg0);
public native void initialized(Object arg0, String arg1);
public native void setClientId(String arg0);
public native void setAuthenticated(boolean arg0, String arg1);
public native void channelConnectHandler(intrinsic.mx.messaging.events.ChannelEvent arg0);
public native void fault(intrinsic.mx.messaging.messages.ErrorMessage arg0, intrinsic.mx.messaging.messages.IMessage arg1);
public native void channelFaultHandler(intrinsic.mx.messaging.events.ChannelFaultEvent arg0);
public native void logout();
public native void acknowledge(intrinsic.mx.messaging.messages.AcknowledgeMessage arg0, intrinsic.mx.messaging.messages.IMessage arg1);
public native void internalSetChannelSet(intrinsic.mx.messaging.ChannelSet arg0);
public native void setRemoteCredentials(String arg0, String arg1);
public native void disconnect();

}
